Loading...
Searching...
No Matches
Opm::Elasticity::TensorProductFunction< rtype, ctype, ftype, dim > Class Template Reference

Represents a tensor-product of 1D functions. More...

`#include <shapefunctions.hpp>`

## Public Types

enum | { dimension = dim }
| The dimension of the function.

## Public Member Functions

| TensorProductFunction ()
| Empty default constructor.
| TensorProductFunction (const Dune::FieldVector< ftype, dim > &funcs_)
| Construct a tensor-product function.
rtype | evaluateFunction (const Dune::FieldVector< ctype, dim > &local) const
| Evaluate the function.
Dune::FieldVector< rtype, dim > | evaluateGradient (const Dune::FieldVector< ctype, dim > &local) const

## Detailed Description

template<class rtype, class ctype, class ftype, int dim>
class Opm::Elasticity::TensorProductFunction< rtype, ctype, ftype, dim >

Represents a tensor-product of 1D functions.

## Constructor & Destructor Documentation

## TensorProductFunction()

template<class rtype, class ctype, class ftype, int dim>

Opm::Elasticity::TensorProductFunction< rtype, ctype, ftype, dim >::TensorProductFunction | ( | const Dune::FieldVector< ftype, dim > & | funcs_ | ) |

inline explicit

Construct a tensor-product function.

Parameters

  [in] | funcs_ | The functions

## Member Function Documentation

## evaluateFunction()

template<class rtype, class ctype, class ftype, int dim>

rtype Opm::Elasticity::TensorProductFunction< rtype, ctype, ftype, dim >::evaluateFunction | ( | const Dune::FieldVector< ctype, dim > & | local | ) | const

inline

Evaluate the function.

Parameters

  [in] | local | The local coordinates

The documentation for this class was generated from the following file:

- opm/elasticity/shapefunctions.hpp